跳到主要内容

API7 Enterprise Developer Portal APIs (3.10.2)

Download OpenAPI specification:Download

API7 Enterprise Developer Portal APIs are RESTful APIs that allow you to create and manage developer portal resources.

Base URL

All API paths are relative to your API7 Developer Portal address, e.g. https://your-api7-developer-portal.

Authentication

Every request must include a Developer Portal token:

  • Bearer Token: Pass a valid Developer Portal token in the Authorization HTTP header.

Most developer resource requests must also include the active developer ID:

  • Developer ID: Pass the active developer ID in the X-Portal-Developer-ID HTTP header where required by the operation.

Developer

List Developers

Authorizations:
BearerAuth
query Parameters
page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

order_by
string
Default: "last_active_at"
Enum: "last_active_at" "created_at"

Index to order developers by.

search
string
Example: search=version%3Dv2

Condition to search resources by.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Create a developer

Authorizations:
BearerAuth
Request Body schema: application/json
required
developer_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$

The object ID.

Responses

Request samples

Content type
application/json
{
  • "developer_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"
}

Response samples

Content type
application/json
{
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "name": "dev one",
  • "last_active_at": "2025-01-01T00:00:00.000Z",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

Delete a developer

Authorizations:
BearerAuth
path Parameters
developer_id
required
string

Developer ID.

Responses

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

API Product

List all API products

Authorizations:
BearerAuth
query Parameters
page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

order_by
string
Default: "updated_at"
Enum: "created_at" "updated_at"

Index to order resources by.

search
string
Example: search=version%3Dv2

Condition to search resources by.

subscription_status
string
Enum: "unsubscribed" "wait_for_approval" "subscribed"
application_id
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: application_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Get an API Product for Developer Portal

Authorizations:
BearerAuth
path Parameters
api_product_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The unique identifier of the API product.

Responses

Response samples

Content type
application/json
Example
{
  • "type": "gateway",
  • "name": "Weather Insights API",
  • "logo": "string",
  • "desc": "The Weather Insights API provides real-time and historical weather data for any location worldwide.",
  • "labels": {
    },
  • "auth": {
    },
  • "status": "draft",
  • "subscription_auto_approval": false,
  • "can_view_unsubscribed": true,
  • "visibility": "public",
  • "raw_openapis": [
    ],
  • "api_count": 10,
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z",
  • "subscription_status": "unsubscribed"
}

Create a subscription for an API Product.

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
api_product_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The unique identifier of the API product.

Request Body schema: application/json
required
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$

Application ID.

Responses

Request samples

Content type
application/json
{
  • "application_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"
}

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

Subscription

List subscriptions.

Authorizations:
(BearerAuthDeveloperIDHeader)
query Parameters
api_product_id
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: api_product_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The API product ID.

application_id
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: application_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

status
Array of strings
Items Enum: "unsubscribed" "wait_for_approval" "subscribed"
search
string
Example: search=version%3Dv2

Condition to search resources by.

order_by
string
Default: "subscribed_at"
Enum: "developer_name" "subscribed_at"
page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Create a subscription for an API Product

Authorizations:
(BearerAuthDeveloperIDHeader)
Request Body schema: application/json
required
applications
required
Array of strings non-empty [ items [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$ ]
api_products
required
Array of strings non-empty [ items [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$ ]

Responses

Request samples

Content type
application/json
{
  • "applications": [
    ],
  • "api_products": [
    ]
}

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

Unsubscribe an API product for the given application

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
subscription_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

Responses

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

Application

Create an application by the logged in developer.

Authorizations:
(BearerAuthDeveloperIDHeader)
Request Body schema: application/json
required
name
string [ 1 .. 100 ] characters

The object name.

desc
string <= 65536 characters

The object description.

object

Key-value pairs of labels.

Responses

Request samples

Content type
application/json
{
  • "name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    }
}

Response samples

Content type
application/json
{
  • "name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

List all applications for the logged in developer.

Authorizations:
(BearerAuthDeveloperIDHeader)
query Parameters
api_product_id
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: api_product_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The API product ID.

search
string
Example: search=version%3Dv2

Condition to search resources by.

labels
string non-empty
Example: labels=labels%5Bversion%5D=v2

Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.

order_by
string
Default: "updated_at"
Enum: "created_at" "updated_at"

Index to order resources by.

page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Get an application for the logged in developer.

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

Responses

Response samples

Content type
application/json
{
  • "name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

Update an application basic information by the logged in developer.

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

Request Body schema: application/json
required
name
string [ 1 .. 100 ] characters

The object name.

desc
string <= 65536 characters

The object description.

object

Key-value pairs of labels.

Responses

Request samples

Content type
application/json
{
  • "name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    }
}

Response samples

Content type
application/json
{
  • "name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

Delete an application by the logged in developer.

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

Responses

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

Credential

Create an application credential

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

Request Body schema: application/json
required
One of
desc
string <= 65536 characters

The object description.

object

Key-value pairs of labels.

type
required
string
Value: "key-auth"

The credential type.

name
required
string [ 1 .. 100 ] characters

The object name.

object or null

Key Auth configuration. If null, key will be auto-generated.

Responses

Request samples

Content type
application/json
{
  • "desc": "Object description.",
  • "labels": {
    },
  • "type": "oauth",
  • "oauth": {
    }
}

Response samples

Content type
application/json
{
  • "application_id": "default",
  • "application_name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "type": "oauth",
  • "oauth": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

List all credentials for the logged in developer

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

query Parameters
auth_method
string
Enum: "key-auth" "basic-auth" "oauth"

The authentication method of the developer credential.

plugin_name
string [ 1 .. 100 ] characters
Deprecated
Example: plugin_name=us-west-rsc

The plugin name of the application credential, recommended to use auth_method instead.

page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

order_by
string
Default: "updated_at"
Enum: "created_at" "updated_at" "name"

Index to order credentials by.

search
string
Example: search=version%3Dv2

Condition to search resources by.

labels
string non-empty
Example: labels=labels%5Bversion%5D=v2

Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Get an application credential for Developer Portal

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

credential_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The unique identifier of the application credential.

Responses

Response samples

Content type
application/json
{
  • "application_id": "default",
  • "application_name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "type": "oauth",
  • "oauth": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

Update an application credential for Developer Portal

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

credential_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The unique identifier of the application credential.

Request Body schema: application/json
required
One of
type
required
string
Enum: "key-auth" "basic-auth"

The credential type.

name
required
string [ 1 .. 100 ] characters

The object name.

desc
string <= 65536 characters

The object description.

object

Key-value pairs of labels.

Responses

Request samples

Content type
application/json
{
  • "type": "oauth",
  • "desc": "Object description.",
  • "labels": {
    },
  • "oauth": {
    }
}

Response samples

Content type
application/json
{
  • "application_id": "default",
  • "application_name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "type": "oauth",
  • "oauth": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

Delete an application credential for Developer Portal

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

credential_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The unique identifier of the application credential.

Responses

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

Regenerate an application credential auth conf

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
application_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Default: "default"
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The object ID.

credential_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The unique identifier of the application credential.

Request Body schema: application/json
required
One of
type
required
string
Value: "key-auth"

The credential type.

object or null

Key Auth configuration. If null, key will be auto-generated.

Responses

Request samples

Content type
application/json
{
  • "type": "oauth"
}

Response samples

Content type
application/json
{
  • "application_id": "default",
  • "application_name": "us-west-rsc",
  • "desc": "Object description.",
  • "labels": {
    },
  • "type": "oauth",
  • "oauth": {
    },
  • "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  • "created_at": "2025-01-01T00:00:00.000Z",
  • "updated_at": "2025-01-01T00:00:00.000Z"
}

List all Credentials

Authorizations:
(BearerAuthDeveloperIDHeader)
query Parameters
application_id
Array of strings[ items [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$ ]
Example: application_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101
auth_method
string
Enum: "key-auth" "basic-auth" "oauth"

The authentication method of the developer credential.

plugin_name
string [ 1 .. 100 ] characters
Deprecated
Example: plugin_name=us-west-rsc

The plugin name of the application credential, recommended to use auth_method instead.

page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

order_by
string
Default: "updated_at"
Enum: "created_at" "updated_at" "name"

Index to order credentials by.

search
string
Example: search=version%3Dv2

Condition to search resources by.

labels
string non-empty
Example: labels=labels%5Bversion%5D=v2

Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

API Calls

Get API Calls

Retrieve a list of API calls made by the user.

Authorizations:
(BearerAuthDeveloperIDHeader)
query Parameters
application_id
Array of strings[ items [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$ ]
Example: application_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101
api_product_id
Array of strings[ items [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$ ]
Example: api_product_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

The API product IDs.

credential_id
Array of strings[ items [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$ ]
Example: credential_id=bd58fce2-b6cc-4d2d-a53c-6ce11b19c101
start_at
required
integer
end_at
required
integer

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Label

Get all labels of a resource type

Authorizations:
(BearerAuthDeveloperIDHeader)
path Parameters
resource_type
required
string
Enum: "developer_credential" "developer_application" "api_product"

Responses

Response samples

Content type
application/json
{
  • "k8s/namespace": [
    ],
  • "manager-by": [
    ]
}

System Settings

Get SMTP server settings status

Get SMTP server settings status.

Authorizations:
(BearerAuthDeveloperIDHeader)

Responses

Response samples

Content type
application/json
{
  • "enable": true
}

Get public access settings

Authorizations:
BearerAuth

Responses

Response samples

Content type
application/json
{
  • "portal_public_access": true
}

DCR Provider

List all DCR providers

Authorizations:
(BearerAuthDeveloperIDHeader)
query Parameters
page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

order_by
string
Default: "updated_at"
Enum: "created_at" "updated_at"

Index to order resources by.

search
string
Example: search=version%3Dv2

Condition to search resources by.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Approval

List approvals

List pending and processed approval workflow items for the current portal, such as API product subscriptions and developer registrations. Results are scoped to the portal of the request token.

Authorizations:
BearerAuth
query Parameters
status
string
Enum: "pending" "finished"

Approval status.

result
string
Enum: "accepted" "rejected" "cancelled"

Approval outcome.

event
string
Enum: "api_product_subscription" "developer_registration"

Approval event.

resource_type
string
Enum: "api_product" "developer"

Resource type.

resource_name
string

Resource name.

operator_name
string

Operator name.

applicant_name
string

Applicant name.

page
integer <int32> >= 1

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

page_size
integer <int32> >= 1

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

direction
string
Default: "desc"
Enum: "asc" "desc"

Order to list the resources by. The sorting index follows the configuration of order_by.

order_by
string
Default: "applied_at"
Enum: "applied_at" "resource_name" "operated_at"

Index to order approvals by.

search
string
Example: search=version%3Dv2

Condition to search resources by.

Responses

Response samples

Content type
application/json
{
  • "list": [
    ],
  • "total": 1
}

Accept an approval request

Approve a specific workflow request and apply the corresponding portal-side change, such as granting an API product subscription or accepting a developer sign-up.

Authorizations:
BearerAuth
path Parameters
approval_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

Approval ID.

Request Body schema: application/json
optional
metadata
string

Opaque JSON string stored on the approval. The developer portal uses it to carry the acting platform admin's identity.

Responses

Request samples

Content type
application/json
{
  • "metadata": "string"
}

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}

Reject an approval request

Reject a specific workflow approval request so the requested action is not applied.

Authorizations:
BearerAuth
path Parameters
approval_id
required
string [ 1 .. 256 ] characters ^[a-zA-Z0-9-_.]+$
Example: bd58fce2-b6cc-4d2d-a53c-6ce11b19c101

Approval ID.

Request Body schema: application/json
optional
metadata
string

Opaque JSON string stored on the approval. The developer portal uses it to carry the acting platform admin's identity.

Responses

Request samples

Content type
application/json
{
  • "metadata": "string"
}

Response samples

Content type
application/json
{
  • "status": 400,
  • "message": "error message"
}